Save GST CMP-08 Statement as a Draft
POST
https://apisandbox.whitebooks.in/cmp/savecmpAPI call to save CMP details
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN number
Example: "12AVVVH1234HA1X"
ret_periodstringoptionalreturn period
Example: "032019"
isnilstringoptionalIsnil action
Example: "Y"
table3objectoptionalout_supobjectoptionaltxvalnumberoptionalTaxable Value
Example: 10000
camtnumberoptionalCgst Amount
Example: 500
samtnumberoptionalTaxable Amount
Example: 900
in_supobjectoptionaltxvalnumberoptionalTaxable Value
Example: 10000
iamtnumberoptionalIgst Amount
Example: 0
camtnumberoptionalCgst Amount
Example: 500
samtnumberoptionalTaxable Amount
Example: 900
csamtnumberoptionalTaxable Amount
Example: 500
intr_payobjectoptionaliamtnumberoptionalIgst Amount
Example: 0
camtnumberoptionalCgst Amount
Example: 500
samtnumberoptionalTaxable Amount
Example: 900
csamtnumberoptionalTaxable Amount
Example: 500
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/cmp/savecmp. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save CMP (POST
/cmp/savecmp), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).API call to save CMP details
No example available.